package com.fjhx.item.entity.product.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.metadata.data.WriteCellData;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@ContentRowHeight(50)
@ExcelIgnoreUnannotated
public class ProductExcelExportBo {
    private String productImgPath;
    @ColumnWidth(10)
    @ExcelProperty("产品图片")
    private WriteCellData<Void> productImg;
    @ColumnWidth(15)
    @ExcelProperty("产品编号")
    private String productCode;
    @ColumnWidth(15)
    @ExcelProperty("产品名称")
    private String productName;
    @ColumnWidth(15)
    @ExcelProperty("产品尺寸")
    private String productSize;
    @ColumnWidth(15)
    @ExcelProperty("产品颜色")
    private String productColor;
    @ColumnWidth(15)
    @ExcelProperty("正面纹路")
    private String frontalTexture;
    @ColumnWidth(15)
    @ExcelProperty("反面纹路")
    private String reverseTexture;
    @ColumnWidth(15)
    @ExcelProperty("生产图片")
    private String prodImgPath;
    //====================================================================
    @ColumnWidth(15)
    @ExcelProperty("业务公司")
    private String companyName;
    @ColumnWidth(15)
    @ExcelProperty("产品分类")
    private String productClassifyNames;
    @ColumnWidth(15)
    @ExcelProperty("产品英文名")
    private String nameEnglish;
    @ColumnWidth(15)
    @ExcelProperty("计量单位")
    private String unit;
    @ColumnWidth(15)
    @ExcelProperty("海关编码")
    private String hsCode;
    @ColumnWidth(15)
    @ExcelProperty("色卡号")
    private String colorCardCode;
    @ColumnWidth(15)
    @ExcelProperty("净重")
    private BigDecimal netWeight;
    @ColumnWidth(15)
    @ExcelProperty("产品描述")
    private String remark;
    @ColumnWidth(15)
    @ExcelProperty("销售价")
    private BigDecimal price;
    @ColumnWidth(15)
    @ExcelProperty("工厂供货价")
    private BigDecimal factoryPrice;
    @ColumnWidth(15)
    @ExcelProperty("平铺价")
    private BigDecimal flatPrice;
    @ColumnWidth(15)
    @ExcelProperty("业务供货价")
    private BigDecimal businessCostPrice;
    @ColumnWidth(15)
    @ExcelProperty("LOGO长")
    private BigDecimal logoLength;
    @ColumnWidth(15)
    @ExcelProperty("LOGO宽")
    private BigDecimal logoWidth;
    @ColumnWidth(15)
    @ExcelProperty("几色印刷")
    private Integer colorCount;
    @ColumnWidth(15)
    @ExcelProperty("是否折叠")
    private String isFold;
    @ColumnWidth(15)
    @ExcelProperty("包装要求")
    private String packAsk;
    @ColumnWidth(15)
    @ExcelProperty("是否定制")
    private String isCustomized;
}
