package com.fjhx.oa.mapper.invoice;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.po.InvoiceApply;
import com.fjhx.oa.entity.invoice.vo.InvoiceApplyVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 开票申请 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
public interface InvoiceApplyMapper extends BaseMapper<InvoiceApply> {

    /**
     * 开票申请分页
     */
    Page<InvoiceApplyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InvoiceApply> wrapper);

    InvoiceApplyVo detail(@Param("ew") IWrapper wrapper);
}
