package com.fjhx.supply.entity.supplier;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
@ExcelIgnoreUnannotated
public class SupplierExcelBo extends BasePo {
    @ColumnWidth(20)
    @ExcelProperty("业务公司名称")
    private String companyName;
    @ColumnWidth(15)
    @ExcelProperty("开发人员")
    private String devUserName;
    @ColumnWidth(15)
    @ExcelProperty("业务部门")
    private String deptName;
    @ColumnWidth(15)
    @ExcelProperty("供应商类型")
    private String type;
    @ColumnWidth(15)
    @ExcelProperty("供应商等级")
    private String grade;
    @ColumnWidth(15)
    @ExcelProperty("供应商状态")
    private String status;
    @ColumnWidth(15)
    @ExcelProperty("供应商名称")
    private String name;
    @ColumnWidth(15)
    @ExcelProperty("国家")
    private String countryName;
    @ColumnWidth(15)
    @ExcelProperty("省份")
    private String provinceName;
    @ColumnWidth(15)
    @ExcelProperty("城市")
    private String cityName;
    @ColumnWidth(15)
    @ExcelProperty("详细地址")
    private String areaDetail;
    @ColumnWidth(15)
    @ExcelProperty("邮编")
    private String postalCode;
    @ColumnWidth(15)
    @ExcelProperty("联系人")
    private String contactPerson;
    @ColumnWidth(15)
    @ExcelProperty("联系人电话")
    private String contactNumber;
    @ColumnWidth(15)
    @ExcelProperty("账期（/天）")
    private Integer accountPeriod;
    @ColumnWidth(15)
    @ExcelProperty("账期说明")
    private String accountPeriodRemark;
    @ColumnWidth(15)
    @ExcelProperty("传真")
    private String fax;
    @ColumnWidth(15)
    @ExcelProperty("是否含税")
    private String privIncludingTax;
    @ColumnWidth(15)
    @ExcelProperty("税点")
    private String privTaxPoints;
    @ColumnWidth(15)
    @ExcelProperty("备注")
    private String remark;
    @ColumnWidth(15)
    @ExcelProperty("单位名称")
    private String openingName;
    @ColumnWidth(20)
    @ExcelProperty("纳税人识别号")
    private String taxpayerCode;
    @ColumnWidth(15)
    @ExcelProperty("开户银行")
    private String openingBank;
    @ColumnWidth(15)
    @ExcelProperty("银行账号")
    private String accountOpening;
    @ColumnWidth(15)
    @ExcelProperty("地址")
    private String invoiceAddress;
    @ColumnWidth(15)
    @ExcelProperty("联系方式")
    private String invoiceContactInfo;
    @ColumnWidth(15)
    @ExcelProperty("发票类型")
    private String invoiceType;
    @ColumnWidth(15)
    @ExcelProperty("开票名称")
    private String invoiceName;
    @ColumnWidth(15)
    @ExcelProperty("对私账户名")
    private String privOpeningName;
    @ColumnWidth(15)
    @ExcelProperty("对私开户行")
    private String privOpeningBank;
    @ColumnWidth(15)
    @ExcelProperty("对私账号")
    private String privAccountOpening;
}
