package com.fjhx.common.entity.logistics.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 物流期末余额
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
@Getter
@Setter
@TableName("logistics_ending_amount")
public class LogisticsEndingAmount extends BasePo {

    /**
     * 物流公司id
     */
    private Long logisticsCompanyId;

    /**
     * 帐期
     */
    private Date accountDate;

    /**
     * 期末余额
     */
    private BigDecimal endingBalance;

    /**
     * 期末应付款余额
     */
    private BigDecimal endingPayableBalance;

}
