package com.fjhx.form.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 科目余额表
 * </p>
 *
 * @author
 * @since 2024-05-13
 */
@Getter
@Setter
@TableName("account_subjects_balance")
public class AccountSubjectsBalance extends BasePo {

    /**
     * 科目id
     */
    private Long subjectsId;

    /**
     * 日期-yyyy-MM
     */
    private Date accountDate;

    /**
     * 月余额
     */
    private BigDecimal balance;

}
