package com.fjhx.oa.entity.invoice.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.oa.entity.invoice.po.InvoiceApply;
import com.fjhx.oa.entity.invoice.po.InvoiceApplyContractDetail;
import com.fjhx.oa.entity.invoice.po.InvoiceApplyDetail;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 开票申请新增编辑入参实体
 *
 * @author
 * @since 2024-04-13
 */
@Getter
@Setter
public class InvoiceApplyDto extends InvoiceApply {
    List<InvoiceApplyContractDetail> invoiceApplyContractDetailList;
    List<InvoiceApplyDetail> invoiceApplyDetailList;

    //相关审批附件 附件类型10
    private List<ObsFile> fileList;
    //聚水潭订单界面金额截图(需有订单号和金额) 附件类型20
    private List<ObsFile> jstOrderFileList;
    //店铺交易截图(含店铺名称、订单编号) 附件类型30
    private List<ObsFile> shopTradeFileList;
    //开票员上传发票附件 附件类型40
    private List<ObsFile> invoicerFileList;

}
