package com.fjhx.oa.entity.invoice.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 开票申请明细
 * </p>
 *
 * @author
 * @since 2024-04-13
 */
@Getter
@Setter
@TableName("invoice_apply_detail")
public class InvoiceApplyDetail extends BasePo {

    /**
     * 开票id
     */
    private Long invoiceApplyId;

    /**
     * 物品名称
     */
    private String name;

    /**
     * 规格型号
     */
    private String spec;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数量
     */
    private String quantity;

    /**
     * 单价含税
     */
    private BigDecimal priceIncludingTax;

    /**
     * 金额含税
     */
    private BigDecimal amountIncludingTax;

    /**
     * 税率
     */
    private String taxRate;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

}
