package com.fjhx.oa.entity.invoice.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.file.entity.ObsFile;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 电子发票抵扣申请明细
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@Getter
@Setter
@TableName("invoice_tax_deduction_details")
public class InvoiceTaxDeductionDetails extends BasePo {

    /**
     * 电子发票抵扣ID
     */
    private Long invoiceTaxDeductionId;

    /**
     * 发票金额
     */
    private BigDecimal amount;

    @TableField(exist = false)
    private List<ObsFile> fileList;

}
