package com.fjhx.oa.service.epiboly;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.epiboly.dto.EpibolyBillDto;
import com.fjhx.oa.entity.epiboly.dto.EpibolyBillSelectDto;
import com.fjhx.oa.entity.epiboly.po.EpibolyBill;
import com.fjhx.oa.entity.epiboly.vo.EpibolyBillVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 外包加工账单 服务类
 * </p>
 *
 * @author
 * @since 2024-04-15
 */
public interface EpibolyBillService extends BaseService<EpibolyBill> {

    /**
     * 外包加工账单分页
     */
    Page<EpibolyBillVo> getPage(EpibolyBillSelectDto dto);

    /**
     * 外包加工账单明细
     */
    EpibolyBillVo detail(Long id);

    /**
     * 外包加工账单新增
     */
    void addOrEdit(EpibolyBillDto epibolyBillDto);

    /**
     * 外包加工账单删除
     */
    void delete(Long id);

}
